Mailinglist Archive: opensuse-ruby (69 mails)

< Previous Next >
Re: [opensuse-ruby] A new packaging scheme for Ruby 2.1
On Wednesday 22 January 2014 15:15:51 Klaus Kaempf wrote:
* Sascha Peilicke <speilicke@xxxxxxxx> [Jan 22. 2014 14:41]:
Therefore I would recommend building a minimal ruby package that is
isolated (not on any PATH) and only used by yast. The package would only
include libruby$SOVER, a "rubyyast" binary, some stdlib (whatever you
need) and all yast's gem dependencies in matching versions. Of course
those have to be installed in a private gem path.

We are already talking about this with the SLE release managers. For
reasons outside of YaST.

Nice.

This way you can independently update yast without risking to break your
customer's (or other SUSE) applications. IMO that's the only sane option
you have.

My assumption is that we will not maintain a single Ruby version for
long but rather follow upstream. Otherwise its a maintenance nightmare.

In the context of yast + isolated or SLE_12 in general?
--
With kind regards,
Sascha Peilicke
SUSE Linux GmbH, Maxfeldstr. 5, D-90409 Nuernberg, Germany
GF: Jeff Hawn, Jennifer Guild, Felix Imend├Ârffer HRB 16746 (AG N├╝rnberg)
--
To unsubscribe, e-mail: opensuse-ruby+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-ruby+owner@xxxxxxxxxxxx

< Previous Next >
List Navigation
Follow Ups